Bug 560186 - SELinux is preventing /usr/lib/nspluginwrapper/npviewer.bin "open" access on pulse-shm-178669718.
Summary: SELinux is preventing /usr/lib/nspluginwrapper/npviewer.bin "open" access on ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 12
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:67b9326153f...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-01-30 06:27 UTC by Don Vogt
Modified: 2010-02-11 14:41 UTC (History)
3 users (show)

Fixed In Version: 3.6.32-84.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-02-11 14:41:22 UTC


Attachments (Terms of Use)

Description Don Vogt 2010-01-30 06:27:04 UTC
Summary:

SELinux is preventing /usr/lib/nspluginwrapper/npviewer.bin "open" access on
pulse-shm-178669718.

Detailed Description:

SELinux denied access requested by npviewer.bin. It is not expected that this
access is required by npviewer.bin and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                unconfined_u:unconfined_r:sandbox_web_client_t:s0:
                              c58,c834
Target Context                unconfined_u:object_r:user_tmpfs_t:s0
Target Objects                pulse-shm-178669718 [ file ]
Source                        npviewer.bin
Source Path                   /usr/lib/nspluginwrapper/npviewer.bin
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           nspluginwrapper-1.3.0-10.fc12
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.32-73.fc12
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux localhost.localdomain
                              2.6.31.12-174.2.3.fc12.i686 #1 SMP Mon Jan 18
                              20:22:46 UTC 2010 i686 athlon
Alert Count                   1
First Seen                    Fri 29 Jan 2010 11:32:54 AM EST
Last Seen                     Fri 29 Jan 2010 11:32:54 AM EST
Local ID                      f3f658fd-0cdb-4ae5-8c4d-e364e11eef1c
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1264782774.743:20): avc:  denied  { open } for  pid=3604 comm="npviewer.bin" name="pulse-shm-178669718" dev=tmpfs ino=13714 scontext=unconfined_u:unconfined_r:sandbox_web_client_t:s0:c58,c834 tcontext=unconfined_u:object_r:user_tmpfs_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1264782774.743:20): arch=40000003 syscall=5 success=no exit=-13 a0=bf997b70 a1=a0000 a2=0 a3=bf997c5d items=0 ppid=3348 pid=3604 auid=500 uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=500 sgid=500 fsgid=500 tty=(none) ses=1 comm="npviewer.bin" exe="/usr/lib/nspluginwrapper/npviewer.bin" subj=unconfined_u:unconfined_r:sandbox_web_client_t:s0:c58,c834 key=(null)



Hash String generated from  selinux-policy-3.6.32-73.fc12,catchall,npviewer.bin,sandbox_web_client_t,user_tmpfs_t,file,open
audit2allow suggests:

#============= sandbox_web_client_t ==============
allow sandbox_web_client_t user_tmpfs_t:file open;

Comment 1 Don Vogt 2010-01-30 06:41:13 UTC
I was running firefox 3.5.6 in sandbox -X. I believe I was trying to run a flash video at tghe time the denial occurred. I am going to try configuring pulseaudio to not use /dev/shm in /etc/pulse/daemon.conf.

Comment 2 Don Vogt 2010-01-30 17:23:41 UTC
I disabled /dev/shm in pulseaudio , with no results. I was using swfdec to play flash. I did a yum remove swfdec and am now using flashplayer10 - same result.
I now have 112 AVCs between pulseaudio and npviewer.bin

Comment 3 Daniel Walsh 2010-02-01 17:12:21 UTC
Miroslav, I think we should add

userdom_rw_user_tmpfs_files(sandbox_web_client_t)


To allow firefox to play music while in a sandbox.

Comment 4 Miroslav Grepl 2010-02-01 19:22:05 UTC
Added to selinux-policy-3.6.32-80.fc12

Comment 5 Fedora Update System 2010-02-03 23:19:53 UTC
selinux-policy-3.6.32-82.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-82.fc12

Comment 6 Fedora Update System 2010-02-05 01:43:51 UTC
selinux-policy-3.6.32-84.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-1492

Comment 7 Fedora Update System 2010-02-11 14:36:34 UTC
selinux-policy-3.6.32-84.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.